Name:           cluttermm
Version:        0.7.5
Release:        2%{?dist}

Summary:        C++ wrapper for clutter library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/cluttermm/0.7/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel
BuildRequires: glibmm24-devel >= 2.14
BuildRequires: pangomm-devel >= 2.12
BuildRequires: cairomm-devel
BuildRequires: doxygen graphviz


%description
Cluttermm is a C++ wrapper library for clutter: an OpenGL-based
library for creating fast, visually rich and animated graphical user
interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel
Requires:       pangomm-devel
Requires:       clutter-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing gstreamermm applications.


%prep
%setup -q


%build
%configure --enable-shared --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-0.8


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libcluttermm-0.8.so.*


%files devel
%defattr(-, root, root, -)
%doc docs/reference/html/ examples/test-actors.cc
%{_includedir}/cluttermm-0.8
%{_libdir}/libcluttermm-0.8.so
%{_libdir}/pkgconfig/cluttermm-0.8.pc


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.7.5-1
- Update to upstream 0.7.5

* Thu Jan 15 2009 Denis Leroy <denis@poolshark.org> - 0.7.4-1
- Update to upstream 0.7.4

* Mon Sep 15 2008 Denis Leroy <denis@poolshark.org> - 0.7.3-2
- Fixed devel requires

* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.3-1
- Update to upstream 0.7.3
- Cairo and gtk parts are forked into their own tarballs

* Tue Jun  3 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-2
- fixed gtkmm BR

* Mon Jun  2 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-1
- Initial version, inspired by Rick Vinyard's initial work
